clang 10.0.0git

clang::tooling::traits::IsValidOptionType< T > Struct Template Reference

A type trait that returns true iff the given type is a type that can be stored in a refactoring option. More...

`#include "clang/Tooling/Refactoring/RefactoringOptionVisitor.h"`

Inheritance diagram for clang::tooling::traits::IsValidOptionType< T >:
[legend]
Collaboration diagram for clang::tooling::traits::IsValidOptionType< T >:
[legend]

## Detailed Description

### template<typename T>
struct clang::tooling::traits::IsValidOptionType< T >

A type trait that returns true iff the given type is a type that can be stored in a refactoring option.

Definition at line 55 of file RefactoringOptionVisitor.h.

The documentation for this struct was generated from the following file:

- include/clang/Tooling/Refactoring/RefactoringOptionVisitor.h